Блог пользователя Hazyknight

Автор Hazyknight, история, 6 лет назад, По-английски

As you guys may notice, there is a big gap between Div1C and Div1D. We apologize for our inaccurate measure of the difficulty of Div1 D and Div1F1. In fact, many testers solved this problem during their VP. I think it's because CNOIers trained such kind of problems more, I mean combinatorics and counting. As you can see this round contains a lot of math things, Div1 DEF really sound like math problems. Previously, we think problems should more like this (math, finding lemma, observation) rather than graph+data structures+strings. This is because we want to do something new. In peoples mind, CN rounds usually means data structures+(graph/string/FFT) which is not interesting at all.

I discovered that many participants asked about Div2B. Honestly, I was confused as well when I was testing the round. I told this to the author but later we decide to keep that discription. This ended up in a big trouble which we haven't thought about before.

There are also some problems about the test data. System test is not strong enough and some strange code passed the final test. We notice this by checking 3 suspicious challenges. It turns out that the reason it that only the author of each problem made the data of his problem.

We will design more contests in the future. And we will try to avoid these problems. If you have anything that you want to say to us or any uncomfortable experience you encountered during the contest, just let us know.

  • Проголосовать: нравится
  • +393
  • Проголосовать: не нравится

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +47 Проголосовать: не нравится

What does VP mean? Did you think that D is of difficulty similar to other div1 combinatorics problems worth 2000 points?

»
6 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится +27 Проголосовать: не нравится

I think there should be balance in type of problems . I think most problems were based on Number Theory .Though i liked them .

If one of the first four problems was graph problem then it was nice.

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +142 Проголосовать: не нравится

Problems were very good anyways. Thanks for the contest!

Thought I would prefer $$$n\le 100$$$ in E :(.

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +135 Проголосовать: не нравится

I think that the only problem similar to D on CF is 951F - Company Acquisitions, and it is easier. Or maybe my solution is too complicated.

I very much liked the problems though!

»
6 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Somebody Please explain me the problem statement of Div2 B. It seems to be easy yet I couldn't crack it..:-(

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +16 Проголосовать: не нравится

I thought your problems were nice, and I might think about D, E, & F more after the contest. I like your idea of adding more math and combinatorics problems; these are fun and I agree that it's nice to have a different flavor of problem sometimes.

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

Is there a good OJ for past CNOI combinatorics problems? I would like to get better at combinatorics.

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +54 Проголосовать: не нравится

In peoples mind, CN rounds usually means data structures+(graph/string/FFT) which is not interesting at all.

I was very disappointed to see no DS in the contest. But still, the problems were quite cool. Can't wait for the solution of F2!

»
6 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +5 Проголосовать: не нравится

As a Chinese participants(Not an OIer), I want to thank your team for the schedule, A lot of friends of me make huge preparation for this round, some of them may even put off their homework for this round because of its good time(for GMT+8). By the way, what's your confusion about the div2B? I'm a little curious. Thank you for the great problem! I believe I will learn a lot from this round!

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +13 Проголосовать: не нравится

There is a saying that CN Rounds usually have more FSTs because of weak pretests...Seems like there are also many FSTs in Div.1 A&B. How do you think about this issue? (Not complaining btw)

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

What is a CN round?

»
6 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Too much maths, too few algorithms, graphs and data structures. But overall, enjoyable problems.

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +51 Проголосовать: не нравится

Thanks for sharing this retrospective--weak tests are always unfortunate, but if it's any consolation, I thought the problems were all quite nice. While I agree that more math/observation-based problems should be used, I do think it is probably a bit excessive to set a round where 5/6 of the problems are mostly math--each problem was individually beautiful, but the set was a bit unbalanced.

I did find the note about testing D1D really interesting. Perhaps one way to ensure consistent contest quality is to ensure that all rounds are tested by people from several different countries. The way people train in, for example, the U.S. compared to Russia compared to China varies significantly, and incorporating feedback from competitors with a range of strengths and weaknesses seems helpful in ensuring that problemsets are balanced and fair to all competitors. (Perhaps the coordinators could help ensure that this happens by adding trusted testers from countries not represented in each individual contest's testing pool.)

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +189 Проголосовать: не нравится

I don't mean for this to come out wrong because I liked the problems, but saying

"Previously, we think problems should more like this (math, finding lemma, observation) rather than graph+data structures+strings. In peoples mind, CN rounds usually means data structures+(graph/string/FFT) which is not interesting at all."

Strikes me as quite questionable. It's literally saying that giving math problems is more interesting than giving computer science problems.

Again, I more or less liked the problemset (maybe a bit less now that I know the solutions), but I really don't like the stance you're taking for the types of problems that ought to be given.

  • »
    »
    6 лет назад, скрыть # ^ |
     
    Проголосовать: нравится -12 Проголосовать: не нравится

    I don't think he is saying that computer science problems are boring ,but since every round consists those so it's interesting to sometime have rounds based on maths and lemma. Basically he was just trying for something different than what was expected and is frequent.

    • »
      »
      »
      6 лет назад, скрыть # ^ |
       
      Проголосовать: нравится +20 Проголосовать: не нравится

      Cf is already primarily math/combo, I don't understand why this is something new or a good thing, it would be better if there were more ds problems, as that would be a change for cf.

      • »
        »
        »
        »
        6 лет назад, скрыть # ^ |
         
        Проголосовать: нравится +3 Проголосовать: не нравится

        I was answering for div 2 round since i don't about the questions of div 1. Div 2 generally contains some simple and intuitive problems for A,B,C so it was refreshing to have different kind of problems for those. Ofcourse it would have been better if D was some DS or ALGO based instead , it would have made div 2 much more interesting .

»
6 лет назад, скрыть # |
 
Проголосовать: нравится -10 Проголосовать: не нравится

Even I feel this contest was vague. Having DP in Div2B, and for Div1A, you have two solutions where the implementation of one is 100 times easier than other (you can look into my submissions if needed). And lastly, why is Div1B rated 2000? I feel it was much easier than Div1A (it's just that I didn't read that problem). Overall, it was a vague contest with just maths and I am absolutely disappointed with the results.

  • »
    »
    6 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +27 Проголосовать: не нравится

    And lastly, why is Div1B rated 2000?

    When will you people learn that these are based on the people who solved it during contest time?

    • »
      »
      »
      6 лет назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится
      1. I thought things have changed after this.
      2. Imagine swapping Div1A and Div1B. I feel we would have more submissions on the latter.
      3. There are many things that I don't know about this system yet. But if someone were to make a mistake, I would have explained it to that person in a nice and sweet manner.
      • »
        »
        »
        »
        6 лет назад, скрыть # ^ |
        ← Rev. 3  
        Проголосовать: нравится +45 Проголосовать: не нравится

        I'm sorry if I sounded harsh. Things have changed after (1) but as far as I understand, they are still automatic.

        I don't agree with (2). To me A seems much easier. I solved A immediately after reading, but needed to think to solve B. Actually I thought even C was easier than B.

        • »
          »
          »
          »
          »
          6 лет назад, скрыть # ^ |
           
          Проголосовать: нравится +55 Проголосовать: не нравится

          I personally agree that B was harder than both A and C. Maybe it's a matter of taste, but the observations on both A and C were much easier than the observation on B for me.

          But B is the easiest problem "in retrospect". Once the observation is spoiled for you, you can't unsee it.

  • »
    »
    6 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +5 Проголосовать: не нравится

    Having DP in Div2B

    This is ok in my opinion, it's very intuitive and probably one of the easiest forms of DP out there. A few contests ago, there was a prefix sum, quite possibly the easiest DP form, problem in Div 2B, so this isn't exactly a major issue.

    I feel it was much easier than Div1A

    I disagree with this too, for me the ordering was more like (easiest) 1A,1C,1B (hardest)

    • »
      »
      »
      6 лет назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      Maybe that I feel it is easier because I did not read D during the contest in the hopes that I'll do C. But later when I read the problem, it immediately struck me. I guess the same thing happened with you in case of problem C. Personal opinion, it is, after all.

»
6 лет назад, скрыть # |
 
Проголосовать: нравится -9 Проголосовать: не нравится

In Div2B I implemented some longest increasing subsequence where $$$S_{i+1}$$$ is divisable by $$$S_{i}$$$. Of course the statement says otherwise. Asked why I did get this wrong I would say "order of increasing numbers" was irritating, and "because Orac arranged them properly" did not help either.

What I think would had helped: A half sentence explaining why the example "...and the obtained arrangement will be beautiful."

»
6 лет назад, скрыть # |
 
Проголосовать: нравится -23 Проголосовать: не нравится

pretests for div2C were poor

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

That was a really nice contest. The problems were clear and moreover most of them are related to number theory and maths which I really like. I would love to take part in contests like this. Cheers

Is there, by any chance, you guys can make contest with problems only related to number theory mixed with other topics like graphs etc. That would be really fun tho.

  • »
    »
    6 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +9 Проголосовать: не нравится

    I didn't like that the contest was mostly number theory and mathematics. but actually i'm glad it did. It made me realize how terrible i am at Mathematics.

    • »
      »
      »
      6 лет назад, скрыть # ^ |
       
      Проголосовать: нравится +1 Проголосовать: не нравится

      Keep practicing mate, you’ll definitely improve your skills.

      The good thing about number theory and maths related questions that you can easily find your mistake and you have to prove your solution before submitting it and one can easily prove the correctness if he/she have practiced these types of questions.

»
6 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +45 Проголосовать: не нравится

Please add me as a tester in your next rounds :DD

Let me give you some reasons, i'm from Iran and i really like problem-setting/testing/coordinating and CP. I am usually available and Iran's time is very close to China's time(about 4 hour lag from Mashhad).

»
6 лет назад, скрыть # |
 
Проголосовать: нравится -23 Проголосовать: не нравится

Chinese OI competitions (NOI, NOIp, CTSC...) has less conclusion problems (like div2 a,d) and similar amount of maths, include FFT, NTT and a lot more in higher levers(like div2 c), searching(like div2 e), more dp(sometimes with DS or other dp optimizations) and graph/tree (usually with a algorithm/DS). Hard Chinese problems are very hard to get AC, so we usually do 60pts or 30pts and than try to optimize it, it’s quite different from cf problems

»
6 лет назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Never expected to get a DP problem in Div2 B and a hard math problem in Div2 C(from the perspective of a Div2 participant) :) Quite explains the unusual duration of the round! :\ Problems were good though!

»
6 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Guys these problems are actually the best problems I have ever seen. But, I can't still undersatnd the statement of Div2E. Please help me to understand div2E

»
6 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I feel that the Div. 2 round was very number theory intensive. But thanks a lot nevertheless! It made me realize that I'm really terrible at number theory. Can someone give suggestions on how to gain a good mathematical background in number theory to be able to tackle problems like these?